Bug 137383 - nscd causes high load on shutdown
nscd causes high load on shutdown
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-27 17:51 EDT by Matt Dainty
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.3.3-74
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-07 09:12:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Dainty 2004-10-27 17:51:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
I have Fedora Core 2 fully updated running on a VIA EPIA 800 Mini-ITX,
(i686 technically but no cmov so runs i586 kernel, etc.).

I have it authenticating against an LDAP directory and so have nscd
enabled and running.

When I try shutting the machine down (or dropping to single user), as
the various processes and services are stopped, as soon as nscd is
stopped, it becomes apparent that it doesn't actually stop, but causes
enough cpu load that the shutdown process grinds, taking around ten
minutes to stop the remaining processes.

Stopping and starting the nscd service on its own doesn't trigger it,
only in the situation outlined above.

Syslog manages to catch the following in /var/log/messages:

nscd: nscd shutdown succeeded
nscd: 1355: while accepting connection: Invalid argument
nscd: 1700: while accepting connection: Bad file descriptor
nscd: 1700: while accepting connection: Operation not
supported
last message repeated 21075 times

Once the machine gets to single user, I can manually kill the nscd
threads and they disappear, or in the case of a shutdown, the machine
powers down.

I can also do the same thing with a 'proper' i686/athlon-class machine
and I have yet to see this problem, so it looks related to cpu class,
threading perhaps?

Version-Release number of selected component (if applicable):
nscd-2.3.3-27

How reproducible:
Always

Steps to Reproduce:
1. Boot into a runlevel that starts nscd
2. Enter a runlevel that stops nscd; 0, 1 or 6
3. Notice how long the box takes to shutdown after nscd is stopped


Actual Results:  If dropping to single user, see the nscd
threads/processes hogging the cpu.

Expected Results:  When nscd is reported to be stopped, it should no
longer be running. No other expected results.

Additional info:
Comment 1 Jakub Jelinek 2004-11-01 07:15:32 EST
There have been many substantial changes in nscd recently.
Can you try FC3rc5 glibc & nscd (2.3.3-74)?
I certainly haven't ever seen something like that.
Comment 2 Matt Dainty 2004-11-07 09:12:02 EST
I've just installed the following packages from the development tree:

glibc-2.3.3-74
glibc-common-2.3.3-74
nscd-2.3.3-74
libselinux-1.17.14-1

I've booted the box between runlevel 5 and 1, and back to 5 again
repeatedly, querying the various tables with getent(1) and id(1) so it
should 'use' nscd.

Normally this would be enough to trigger the bug, but so far has yet
to re-occur, so it looks fixed.

Note You need to log in before you can comment on or make changes to this bug.